Last Comment Bug 77009 - Tabs are too long for default size of Certificate Manager
: Tabs are too long for default size of Certificate Manager
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Security: UI (show other bugs)
: 1.0 Branch
: PowerPC Mac System 9.x
: -- normal (vote)
: psm2.0
Assigned To: Ian McGreer
: John Unruh
Mentors:
Depends on: 64128
Blocks: 77006
  Show dependency treegraph
 
Reported: 2001-04-21 01:21 PDT by Matthew Paul Thomas
Modified: 2008-07-10 02:12 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Here's a suggested patch, slightly divergent from mpt's suggestion (7.60 KB, patch)
2001-04-22 21:03 PDT, timeless
no flags Details | Diff | Splinter Review

Description Matthew Paul Thomas 2001-04-21 01:21:51 PDT
Build: 2001041908, Mac OS 9.1

To reproduce:
*   Start Mozilla.
*   Open the Preferences dialog.
*   Choose the `Privacy' category.
*   Click `Manage Certificates...'.

What you see:
+--------------------------------------------------------------------------+
|/My Certificates\/Other People's Certificates\/Web Site Certificates\/Ca C|
||                `""""""""""""""""""""""""""""""""""""""""""""""""""""""""|

What you should see:
+--------------------------------------------------------------------------+
|/My Certificates\/Other People's\/Web Sites\/Authorities\________________ |
||                `"""""""""""""""""""""""""""""""""""""""""""""""""""""""||

Changing the default size of the window is not a good fix for this bug. The 
Certificate Manager is quite large enough already.
Comment 1 timeless 2001-04-22 21:03:09 PDT
90% of the entries are in Moz Help.

Comment 2 timeless 2001-04-22 21:03:58 PDT
Created attachment 31802 [details] [diff] [review]
Here's a suggested patch, slightly divergent from mpt's suggestion
Comment 3 Sean Cotter 2001-04-27 14:11:12 PDT
I agree with mpt's suggestion re tab naming, and also his suggestion re the
first tab in bug #77012.

I disagree with mpt's suggestion in #77012 that the text under the tabs should
be removed completely. However, I also disagree with timeless' suggestions for
making the text under the tabs longer.

I think some minimal text is appropriate here to help naive users understand
what they're looking at. But anything more than a single line is overkill.
Context-sensitive help will be available that goes into more details. Help will
be landing, in pieces, over the next few weeks. A skeleton is available now in
the daily builds. (I am the writer for PSM 2.0 help.)

We should not assume that when people click the  "Web Sites" in the Certificate
Manager (for example) they will understand that having a certificate for a web
site helps them identify it. This is the most important fact they need to
understand, even if they don't have a clue how it works and don't click Help.

My recommendations follow. Since these recommendations now cover bug #77012,
I'll mark that bug as a dupe of this one.

New tab name / Text below tab
-------------------------------
Your Certificates / You have certificates from these organizations that identify
you:

Other People's / You have certificates on file that identify these people:

Web Sites / You have certificates on file that identify these web sites:

Authorities / You have certificates on file that identify these certificate
authorities:
--------------------------------

Re the first tab, note that the UI will eventually group one's own certs by issuer.
Comment 4 timeless 2001-04-27 15:31:34 PDT
excuse me. but there was not a single instance where I increased the length of 
a string.  It's true that I did not aggressively attack the help texts but 
that was mostly for lack of will, direction, and time.  I was merely aiming for 
consistency between tab titles and text.

that asside, i'm glad more help will be landing and that the people working on 
it are concerned w/ usability.
Comment 5 Jubal Kessler 2001-05-03 22:33:35 PDT
Random suggestion, tangential to this bug:

Why not make the certificate manager resizable?

In Linux and Windows, the Cert Mgr GUI is inflexible in size although the window
itself is resizable. Looks ugly, and the default fixed size abbreviates the text
inside.

Any particular reason for making the GUI fixed and unresizable?
Comment 6 Matthew Paul Thomas 2001-05-06 07:43:03 PDT
It wasn't like that when I filed this bug. That looks like a regression.
Comment 7 Ian McGreer 2001-05-16 09:39:29 PDT
reassigning
Comment 8 Ian McGreer 2001-05-24 05:28:36 PDT
marking fixed

cert manager should also be resizable now.
Comment 9 John Unruh 2001-05-24 08:59:30 PDT
Verified fixed.

Note You need to log in before you can comment on or make changes to this bug.